Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.tracking.runs.search(experiment_ids=[
"<value 1>",
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.tracking.runs.search({
requestBody: {
experimentIds: [
"<value 1>",
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Tracking.Runs.SearchAsync(body: new TrackingRunsSearchRequestBody() {
ExperimentIds = new List<string>() {
"<value 1>",
},
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/2.0/mlflow/runs/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"experiment_ids": [
"<string>"
],
"filter": "<string>",
"max_results": 2,
"order_by": [
"<string>"
],
"page_token": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
experiment_ids: ['<string>'],
filter: '<string>',
max_results: 2,
order_by: ['<string>'],
page_token: '<string>'
})
};
fetch('https://apigw.mka1.com/api/2.0/mlflow/runs/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"info": {
"run_id": "<string>",
"experiment_id": "<string>",
"run_uuid": "<string>",
"run_name": "<string>",
"user_id": "<string>",
"status": "RUNNING",
"start_time": 123,
"end_time": 123,
"artifact_uri": "<string>",
"lifecycle_stage": "<string>"
},
"data": {
"metrics": [
{
"key": "<string>",
"value": 123,
"timestamp": 123,
"step": 123
}
],
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"inputs": {
"dataset_inputs": [
{
"dataset": {
"name": "<string>",
"digest": "<string>",
"source_type": "<string>",
"source": "<string>",
"schema": "<string>",
"profile": "<string>"
},
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}
}
],
"next_page_token": "<string>"
}Tracking Runs
Search
Explicit experiment IDs are required; every experiment must belong to the caller. Requires read:tracking. Results are restricted to the API key organization and team.
POST
/
api
/
2.0
/
mlflow
/
runs
/
search
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.tracking.runs.search(experiment_ids=[
"<value 1>",
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.tracking.runs.search({
requestBody: {
experimentIds: [
"<value 1>",
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Tracking.Runs.SearchAsync(body: new TrackingRunsSearchRequestBody() {
ExperimentIds = new List<string>() {
"<value 1>",
},
});
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Was this page helpful?
⌘I